@charset "UTF-8";

/* ====================================================
【色設定】
==================================================== */
:root {
  --color_base: #fff;
  --color_text: #000;
  --color_link: #000;
  --color_bg: #F2F4F4;
  --color_border: #DFDFDF;
  --color_primary: #8DC6C1;
  --color_sub01: #E8F4F3;
  --color_sub02: #CAE0DE;
  --color_white: #fff;
  --color_black: #000;
  --color_gray: #E0E0E0;
  --color_gray_light: #F6F6F6;
  --color_gray_dark: #777;
}

/* 幅広・全幅ブロック以外にデフォルトコンテンツ幅を指定 */
.postdata>*:not(.alignwide):not(.alignfull) {
  max-width: var(--wp--style--global--content-size);
}

/* 幅広ブロックに幅広コンテンツ幅を指定 */
.postdata>*.alignwide {
  max-width: var(--wp--style--global--wide-size);
}

/* 全幅ブロックを除いて左右にオートマージンを付与する */
.postdata>*:not(.alignfull) {
  margin-right: auto;
  margin-left: auto;
}

/* 共通 */
.editor-styles-wrapper {
  padding-left: var(--wp--custom--gutter);
  padding-right: var(--wp--custom--gutter);
}


/*投稿本文用CSS*/
.postdata {
  overflow-wrap: break-word;
  line-height: 1.8;
}

.postdata .screen-reader-text {
  border: 0;
  clip-path: inset(50%);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  width: 1px;
  word-wrap: normal !important;
}

.postdata .screen-reader-text:focus {
  background-color: #eee;
  clip-path: none;
  color: #444;
  display: block;
  font-size: 1em;
  height: auto;
  left: 5px;
  line-height: normal;
  padding: 15px 23px 14px;
  text-decoration: none;
  top: 5px;
  width: auto;
  z-index: 100000;
}

.postdata iframe {
  max-width: 100%;
}

.postdata h2,
h2[class="wp-block-heading"] {
  font-size: 2.375rem;
  text-align: center;
  padding-bottom: 8px;
  margin: 50px 0;
  position: relative;
}


.postdata h2::before,
h2[class="wp-block-heading"]::before {
  content: "";
  display: block;
  width: 40px;
  height: 2px;
  background-color: var(--color_primary);
  position: absolute;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
}

.postdata h3,
h3[class="wp-block-heading"] {
  font-size: 1.625rem;
  border-bottom: 1px solid var(--color_primary);
  padding-bottom: 10px;
margin: 30px 0 25px;
}

.postdata h4,
h4[class="wp-block-heading"] {
  color: var(--color_primary);
  font-size: 1.25rem;
  margin: 25px 0 15px;
}

.wp-block-button__link {
  border: 1px solid var(--color_primary) !important;
  background-color: var(--color_primary) !important;
  color: var(--color_white) !important;
  display: inline-flex !important;
  justify-content: center;
  align-items: center;
  text-align: left;
  font-size: 0.9375rem !important;
  line-height: 1 !important;
  min-width: 200px;
  padding: 10px 45px !important;
  line-height: 1.5;
  position: relative;
  transition: .3s;
}

.wp-block-button__link::after {
  content: "";
  background-color: var(--color_white);
  mask: url(../images/share/post_arrow.svg) no-repeat center/contain;
  width: 18px;
  height: 11px;
  position: absolute;
  right: 15px;
  top: 50%;
  transform: translateY(-50%);
  transition: .3s;
}

.wp-block-button__link:hover {
  opacity: 1;
  background-color: var(--color_white) !important;
  color: var(--color_primary) !important;
}

.wp-block-button__link:hover::after {
  background-color: var(--color_primary);
}

.postdata p,
.postdata ul,
.postdata ol {
  margin-block: 1em;
}

.postdata ul li,
.postdata ol li{
	position: relative;
	padding-left: 1.2em;
	margin-top: 0.5em;
}

.postdata ul li:before,
.postdata ol li:before{
	position: absolute;
	content: "";
	background: #ADD531;
	border-radius: 50%;
	width: 0.6em;
	height: 0.6em;
	left: 0;
	top: 0.6em;
}

.postdata a:not(.wp-block-button__link) {
  text-decoration: underline;
}

.postdata a:focus-visible {
  text-decoration: none;
}

@media (any-hover: hover) {
  .postdata a:hover {
    text-decoration: none;
  }
}

.postdata pre {
  white-space: pre-wrap;
  word-wrap: break-word;
}

strong {
  font-family: "FP-ヒラギノUD角ゴ StdN W6";
}

em {
  font-style: italic;
}

ul[class="wp-block-list"] {
  display: grid;
  grid-gap: 5px;
}

ul[class="wp-block-list"] li {
  list-style: disc;
  margin-left: 1.5em;
  line-height: 1.5;
}

ul[class="wp-block-list"] li::marker {
  color: var(--color_primary);
}

ol[class="wp-block-list"] {
  display: grid;
  grid-gap: 5px;
  counter-reset: number;
}

ol[class="wp-block-list"] li {
  padding-left: 30px;
  position: relative;
}

ol[class="wp-block-list"] li::before {
  background-color: var(--color_primary);
  border-radius: 15px;
  color: #fff;
  counter-increment: number;
  content: counter(number);
  font-size: 0.6875rem;
  position: absolute;
  top: 3px;
  left: 0;
  line-height: 20px;
  width: 20px;
  height: 20px;
  text-align: center;
}

sub {
  font-size: 0.6875rem;
  position: relative;
  bottom: -0.1em;
}

sup {
  font-size: 0.6875rem;
  position: relative;
  top: -0.1em;
}

@media (max-width: 800px) {
  h2[class="wp-block-heading"] {
    font-size: 1.625rem;
    margin-bottom: 30px;
  }

  h3[class="wp-block-heading"] {
    font-size: 1.25rem;
    padding-bottom: 5px;
    margin-bottom: 20px;
  }

  h4[class="wp-block-heading"] {
    font-size: 1.125rem;
  }
}


.before-after.before-after {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 5%;
}

.before-after figure {
  display: grid;
  place-items: center;
  max-height: 330px;
  position: relative;
}

.before-after figure img {
  -o-object-fit: contain;
  object-fit: contain;
  -o-object-position: center;
  object-position: center;
  height: 330px;
}

.before-after p {
  color: var(--color_primary);
  font-family: var(--font_jp);
  font-size: 1.375rem;
  line-height: 1;
  margin-top: 5px;
}

@media (max-width: 800px) {
  .before-after.before-after {
    grid-template-columns: 1fr;
    gap: 15px;
  }

  .before-after figure {
    max-height: 250px;
  }

  .before-after figure img {
    height: 250px;
  }

  .before-after p {
    font-size: 1.125rem;
  }
}

.case-table {
  background-color: #fff;
}

.editor-styles-wrapper .wp-block-flexible-table-block-table>table tr th {
  background-color: revert;
}

.wp-block-flexible-table-block-table.wp-block-flexible-table-block-table.case-table>table tr th,
.wp-block-flexible-table-block-table.wp-block-flexible-table-block-table.case-table>table tr td {
  border: 1px solid var(--color_border);
  line-height: 1.5;
  padding: 15px 30px;
}

.case-table th {
  background-color: var(--color_primary) !important;
  color: var(--color_white);
  font-size: 1rem;
  vertical-align: middle;
  width: 30%;
}


@media (max-width: 800px) {

  .case-table {
    border-bottom: 1px solid var(--color_primary);
  }

  .case-table th,
  .case-table td {
    display: block;
    padding: 10px;
    border-bottom: none;
  }

  .case-table th {
    width: 100%;
    font-size: 0.9375rem;
  }

  .case-table td {
    font-size: 0.875rem;
  }
}
